BANK KALTENG - Bug #3106

Cost seharusnya tidak ngeload dari Cost Pattern dari tipe DT/DG berbeda
10/03/2024 05:30 PM - haykal haykal

Status: Closed Start date: 10/03/2024
Priority: High Due date: 10/10/2024
Assignee: Tri Rizqiaty % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mbak Yomma,

Jadi kemarin itu ada case di BKT.

Ada Cost di DE yang ngeload dari Cost Pattern di DT padahal seharusnya tidak, karena itu di DG yang berbeda.

Cost di DE dengan ObjectID 00000012 (Foto 1) ngeload dari Cost Pattern di DT dengan ObjectlD 00000012 (Foto 2). Harusnya itu
gak ngeload karena itu berada di dua DG yang berbeda (yang Cost Pattern DT itu adanya di DG Hard Skill, sementara yang Cost
DE itu adanya di DG Soft Skill).

Tolong agar ini dapat diperbaiki.

Terimakasih.

Menu Path: Human Resource > HR Strategic > Training Management > Training Data

Port: https://hris.bankkalteng.co.id/
DB: MinovaES_BankKalteng_Prod (103.168.134.119)

History

#1 - 10/08/2024 11:11 AM - Kezia Pawitra Yulianti
- Due date set to 10/10/2024
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 10/14/2024 09:45 AM - Tri Rizqiaty
- File clipboard-202410140944-wqpsr.png added
- File costpattern.js added

- Status changed from Assigned to Developing

Fixing di port http://remote.minovais.com:31130/ :

update folder : Ul/app/controller/orm/ctrICustom/training.js
#3 - 10/14/2024 09:45 AM - Tri Rizqgiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

#4 - 10/17/2024 10:44 AM - haykal haykal

- File Cost Pattern tiba-tiba terisi.png added

- Status changed from QA Test to Assigned

- Assignee changed from haykal haykal to Tri Rizqiaty

Ada masalah Mbak, tadi 'kan saya baru membuat DT baru 'Writing Basic' dibawah DG Writing. Tapi di DT Writing Basic yang baru saya buat itu Cost
Pattern nya tiba-tiba terisi (seperti di foto yang saya attach) padahal saya belum mengisikan apa-apa.

Tolong bantu dicek dan diperbaiki ya.
Terimakasih.

port: http://remote.minovais.com:31130/

#5 - 10/18/2024 10:40 AM - haykal haykal
- File Total gak ngeload.png added
- File Setelah di-save 0.png added

Ada masalah lagi, jadi ketika saya coba mengisikan Cost Pattern di DT Writing Advanced; saya mengisikan Cost Item, Unit Price dan yg Calculate
Attendance juga saya pilih Yes. Tapi dikolom Total dia tidak mengcalculate dan masih tetap 0. Dan lalu ketika saya Save dia isiannya kosong saja
(seperti di foto yang saya attach).

Mohon bantu dicek ya apakah ada bugs atau mungkin ada yang kurang lengkap.

Terimakasih.

#6 - 10/28/2024 05:36 PM - Tri Rizqiaty

- File clipboard-202410281736-005hr.png added

- File clipboard-202410281736-5fgud.png added
- Status changed from Assigned to QA Test

- Assignee changed from Tri Rizqiaty to haykal haykal

Fixing :

Jika Field CalculatedDay = Yes, maka Duration di tab Training Information wajib diisi.

(&} (&) ' [} ' (&) (&} (&}
General Data Relationship e EGLuELL  Job Requirement Prebooking Schedule Pattern
Action
Start Date..| End Date Delivery Meth... Internal Price Min Passing Sco.. Certified Training Ty.. Duration
18/10/2024 3112/9999  Class 2000000.00 0.00 2.00
Cost Item Unit P... Curren... Calculate Attendan.. Attendance Number Calculate Eve... Calculate D... Day Numb... Total
" Accommodation ~ 10,000.00  Rp " Yes "7 " Yes Yes 2 140,000.00

3

#7 - 10/31/2024 10:38 AM - haykal haykal
- File Cost ngeload dari 2 DT.PNG added
- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to Tri Rizqiaty

Dear Mbak,

Aku 'kan tadi bikin Training Event (DE) baru. Tapi Cost nya malah ngeload dari 2 Cost Pattern dari 2 DT yang berbeda (DT Writing Basic dan DT
Writing Advanced). Padahal itu harusnya ngeload dari Cost Pattern 1 DT aja.

Yang aku bikin itu DE Writing Adv Batch 1 dan itu merupakan turunan dari DT Writing Advanced. Jadi seharusnya tab Cost yg ada di DE Writing Adv
Batch 1 itu ngeloadnya dari tab Cost Pattern yg di DT Writing Advanced saja.

Tolong diperbaiki ya.

Terimakasih.

#8 - 11/01/2024 04:39 PM - Tri Rizqiaty

- File clipboard-202411011639-sm4nk.png added

- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqiaty to haykal haykal

Itu karena memang datanya ditable ada 2 data dengan DE tsb.

ObjectID PHROMOOD...
ObjectClass PHROMOD...
CostType PHROMOD...
ObjectID ObjectClass CostType UnitPrice Currency Calculatehtten... AttendanceMu... CalculateEvent CalculateDay DayMumber Total

| 00000010 DE 0001 1100000 DR B 3 NULL E 3 900000
00000010 DE 0001 100000 IDR 1 7y NULL 1 2 1400000
LU L LU L LU L LU L LU AT LUy

Pada saat proses testing tolong dipastikan apakah ada data lama atau tidak.

#9 - 11/04/2024 10:17 AM - Muhammad Bintar

- File clipboard-202411041017-afymu.png added

- Status changed from QA Test to Closed

- Assignee changed from haykal haykal to Tri Rizqiaty

sudah di deploy ke production bank kalteng
#10 - 11/04/2024 10:28 PM - Muhammad Bintar
- File clipboard-202411042228-i3wrk.png added
Files
Cost Pattern DT 00000012.png 45.1 KB 10/03/2024 haykal haykal
Cost DE 00000012.png 45.1 KB 10/03/2024 haykal haykal
clipboard-202410140944-wqgpsr.png 77.8 KB 10/14/2024 Tri Rizgiaty
costpattern.js 11.8 KB 10/14/2024 Tri Rizqiaty
Cost Pattern tiba-tiba terisi.png 46.3 KB 10/17/2024 haykal haykal
Total gak ngeload.png 16.6 KB 10/18/2024 haykal haykal
Setelah di-save 0.png 12.1 KB 10/18/2024 haykal haykal
